Subject: bug#30113: SVN checkouts without descriptive file names

From: Danny Milosavljevic <[email-masked]>
Date: Sun, 14 Jan 2018 17:53:11 +0100

On Sun, 14 Jan 2018 17:43:27 +0100
Tobias Geerinckx-Rice <[email-masked]> wrote:

> Gábor Boskovits wrote on 14/01/18 at 17:13:
> > Maybe we could use guix to check for these, and some
> > other things could also be spotted.
> > WDYT?  
> 
> Agreed, I think.

Yeah, +1

> We should be able to improve the quality of these guesses: the
> repository URI is about as likely to be foo://bar/<package>... as a
> regular tarball URI.
> 
> Or we make a file-name mandatory for certain methods.

I agree that some heuristics to figure out the file-name from (svn-reference-url ref) would be nice.

It's not that important that the store filenames are meaningful to humans, it's just nice-to-have.  So I'd say heuristic it and be done with it.

On second thought, maybe even default file-name to the Guix package name (if possible at this point in Guix).  The hash value will make it unique regardless (for example if there are multiple svn-download blocks in the same package)